Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
rapidjson::AutoUTFOutputStream< CharType, OutputByteStream > Class Template Reference

Output stream wrapper with dynamically bound encoding and automatic encoding detection. More...

`#include <encodedstream.h>`

## Public Types
typedef CharType | Ch

## Public Member Functions
| AutoUTFOutputStream (OutputByteStream &os, UTFType type, bool putBOM)
| Constructor.
UTFType | GetType () const
void | Put (Ch c)
void | Flush ()
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
Ch * | PutBegin ()
size_t | PutEnd (Ch *)

## Detailed Description

template<typename CharType, typename OutputByteStream>
class rapidjson::AutoUTFOutputStream< CharType, OutputByteStream >

Output stream wrapper with dynamically bound encoding and automatic encoding detection.

Template Parameters

  CharType | Type of character for writing.
  OutputByteStream | type of output byte stream to be wrapped.

## Constructor & Destructor Documentation

## ◆ AutoUTFOutputStream()

template<typename CharType , typename OutputByteStream >

rapidjson::AutoUTFOutputStream< CharType, OutputByteStream >::AutoUTFOutputStream | ( | OutputByteStream & | os,
|  | UTFType | type,
|  | bool | putBOM )
| inline

Constructor.

Parameters

  os | output stream to be wrapped.
  type | UTF encoding type.
  putBOM | Whether to write BOM at the beginning of the stream.

The documentation for this class was generated from the following file:

- include/rapidjson/encodedstream.h